Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.tz

# Interface TimeZoneDatatypeCoder.TimeZoneCodec

Enclosing class:
  TimeZoneDatatypeCoder

public static interface TimeZoneDatatypeCoder.TimeZoneCodec
Simpler API for encoding or decoding `java.time` types.

The data encoded or decoded depends on the specific Firebird type used to obtain this codec.

## Method Summary

Modifier and Type
Method
Description
`OffsetDateTime`
`decodeOffsetDateTime(byte[] fieldData)`
Decodes an encoded value to an offset date time.
`OffsetTime`
`decodeOffsetTime(byte[] fieldData)`
Decodes an encoded value to an offset time.
`ZonedDateTime`
`decodeZonedDateTime(byte[] fieldData)`
Decodes an encoded value to a zoned date time.
`byte[]`
`encodeOffsetDateTime(OffsetDateTime offsetDateTime)`
Encode an offset date time to an encoded value.
`byte[]`
`encodeOffsetTime(OffsetTime offsetTime)`
Encode an offset time to an encoded value.
`byte[]`
`encodeZonedDateTime(ZonedDateTime zonedDateTime)`
Encode a zoned date time to an encoded value.

## Method Details

### encodeOffsetDateTime

byte[] encodeOffsetDateTime(OffsetDateTime offsetDateTime)
Encode an offset date time to an encoded value.

Parameters:
  `offsetDateTime` - offset date time instance
Returns:
  byte array with encoded value, or `null` if `offsetDateTime` is `null`

### decodeOffsetDateTime

OffsetDateTime decodeOffsetDateTime(byte[] fieldData)
Decodes an encoded value to an offset date time.

Parameters:
  `fieldData` - byte array with encoded value
Returns:
  offset date time instance, or `null` if `fieldDate` is `null`

### encodeOffsetTime

byte[] encodeOffsetTime(OffsetTime offsetTime)
Encode an offset time to an encoded value.

Parameters:
  `offsetTime` - offset time instance
Returns:
  byte array with encoded value, or `null` if `offsetTime` is `null`

### decodeOffsetTime

OffsetTime decodeOffsetTime(byte[] fieldData)
Decodes an encoded value to an offset time.

Parameters:
  `fieldData` - byte array with encoded value
Returns:
  offset time instance, or `null` if `fieldDate` is `null`

### encodeZonedDateTime

byte[] encodeZonedDateTime(ZonedDateTime zonedDateTime)
Encode a zoned date time to an encoded value.

Parameters:
  `zonedDateTime` - zoned date time instance
Returns:
  byte array with encoded value, or `null` if `zonedDateTime` is `null`

### decodeZonedDateTime

ZonedDateTime decodeZonedDateTime(byte[] fieldData)
Decodes an encoded value to a zoned date time.

Parameters:
  `fieldData` - byte array with encoded value
Returns:
  zoned date time value, or `null` if `fieldDate` is `null`